Debian Bug report logs - #661274
libkvm-dev: Should use <bsd/nlist.h>

version graph

Package: libkvm-dev; Maintainer for libkvm-dev is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for libkvm-dev is src:freebsd-libs.

Reported by: Christoph Egger <christoph@debian.org>

Date: Sat, 28 Jan 2012 17:21:02 UTC

Severity: serious

Tags: sid, wheezy

Found in version freebsd-libs/8.2+ds2-2

Fixed in version freebsd-libs/9.0+ds1-2

Done: Andreas Beckmann <debian@abeckmann.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Sebastian Harl <tokkee@debian.org>:
Bug#657772; Package src:collectd. (Sat, 28 Jan 2012 17:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Sebastian Harl <tokkee@debian.org>. (Sat, 28 Jan 2012 17:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: collectd: FTBFS(kfreebsd): deprecated libbsd-dev usage and Werror
Date: Sat, 28 Jan 2012 18:20:40 +0100
Package: src:collectd
Version: 4.10.4-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

libtool: compile:  x86_64-kfreebsd-gnu-gcc -DHAVE_CONFIG_H -I. -DPREFIX=\"/usr\" -DCONFIGFILE=\"/etc/collectd.conf\" -DLOCALSTATEDIR=\"/var\" -DPKGLOCALSTATEDIR=\"/var/lib/collectd\" -DPIDFILE=\"/var/run/collectd.pid\" -DPLUGINDIR=\"/usr/lib/collectd\" -DPKGDATADIR=\"/usr/share/collectd\" -I/build/buildd-collectd_4.10.4-1-kfreebsd-amd64-2FaKuj/collectd-4.10.4/debian/include "-DLT_LAZY_OR_NOW=RTLD_LAZY|RTLD_GLOBAL" -UCONFIGFILE -DCONFIGFILE=\"/etc/collectd/collectd.conf\" -Wall -Werror -Wall -g -O2 -MT processes.lo -MD -MP -MF .deps/processes.Tpo -c processes.c  -fPIC -DPIC -o .libs/processes.o
In file included from /usr/include/kvm.h:38:0,
                 from processes.c:96:
/usr/include/nlist.h:33:2: error: #warning "Deprecated header, use <bsd/nlist.h> or libbsd-overlay.pc instead." [-Werror=cpp]
cc1: all warnings being treated as errors

make[4]: *** [processes.lo] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=collectd&arch=kfreebsd-amd64&ver=4.10.4-1&stamp=1326126327

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Bug reassigned from package 'src:collectd' to 'libkvm-dev'. Request was from Sebastian Harl <tokkee@debian.org> to control@bugs.debian.org. (Sat, 28 Jan 2012 17:42:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions collectd/4.10.4-1. Request was from Sebastian Harl <tokkee@debian.org> to control@bugs.debian.org. (Sat, 28 Jan 2012 17:42:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions freebsd-libs/8.2+ds2-2. Request was from Sebastian Harl <tokkee@debian.org> to control@bugs.debian.org. (Sat, 28 Jan 2012 17:42:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'libkvm-dev: kvm.h should include bsd/nlist.h rather than nlist.h' from 'collectd: FTBFS(kfreebsd): deprecated libbsd-dev usage and Werror' Request was from Sebastian Harl <tokkee@debian.org> to control@bugs.debian.org. (Sat, 28 Jan 2012 17:42:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#657772; Package libkvm-dev. (Sat, 28 Jan 2012 17:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Harl <tokkee@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 28 Jan 2012 17:51:07 GMT) Full text and rfc822 format available.

Message #18 received at 657772@bugs.debian.org (full text, mbox):

From: Sebastian Harl <tokkee@debian.org>
To: Christoph Egger <christoph@debian.org>, 657772@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#657772: collectd: FTBFS(kfreebsd): deprecated libbsd-dev usage and Werror
Date: Sat, 28 Jan 2012 18:39:48 +0100
[Message part 1 (text/plain, inline)]
reassign 657772 libkvm-dev
found 657772 8.2+ds2-2
retitle 657772 libkvm-dev: kvm.h should include bsd/nlist.h rather than nlist.h
thanks

Hi,

On Sat, Jan 28, 2012 at 06:20:40PM +0100, Christoph Egger wrote:
> Your package failed to build on the kfreebsd-* buildds:

Thanks for reporting this!

> libtool: compile:  x86_64-kfreebsd-gnu-gcc -DHAVE_CONFIG_H -I. -DPREFIX=\"/usr\" -DCONFIGFILE=\"/etc/collectd.conf\" -DLOCALSTATEDIR=\"/var\" -DPKGLOCALSTATEDIR=\"/var/lib/collectd\" -DPIDFILE=\"/var/run/collectd.pid\" -DPLUGINDIR=\"/usr/lib/collectd\" -DPKGDATADIR=\"/usr/share/collectd\" -I/build/buildd-collectd_4.10.4-1-kfreebsd-amd64-2FaKuj/collectd-4.10.4/debian/include "-DLT_LAZY_OR_NOW=RTLD_LAZY|RTLD_GLOBAL" -UCONFIGFILE -DCONFIGFILE=\"/etc/collectd/collectd.conf\" -Wall -Werror -Wall -g -O2 -MT processes.lo -MD -MP -MF .deps/processes.Tpo -c processes.c  -fPIC -DPIC -o .libs/processes.o
> In file included from /usr/include/kvm.h:38:0,
>                  from processes.c:96:
> /usr/include/nlist.h:33:2: error: #warning "Deprecated header, use <bsd/nlist.h> or libbsd-overlay.pc instead." [-Werror=cpp]
> cc1: all warnings being treated as errors

Hrm, this sounds like a problem in libkvm to me and should be fixed
there. The only thing I could do in collectd is disable the use of
libkvm (and, thus, probably remove support for a few plugins).

If you don't agree, please clone and reassign the cloned bug. The
libkvm-dev bug should be kept open as wishlist, though, in that case ;-)

Thanks in advance!

Cheers,
Sebastian

-- 
Sebastian "tokkee" Harl +++ GnuPG-ID: 0x8501C7FC +++ http://tokkee.org/

Those who would give up Essential Liberty to purchase a little Temporary
Safety, deserve neither Liberty nor Safety.         -- Benjamin Franklin

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#657772; Package libkvm-dev. (Sat, 28 Jan 2012 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 28 Jan 2012 18:09:03 GMT) Full text and rfc822 format available.

Message #23 received at 657772@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Sebastian Harl <tokkee@debian.org>
Cc: Christoph Egger <christoph@debian.org>, 657772@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#657772: collectd: FTBFS(kfreebsd): deprecated libbsd-dev usage and Werror
Date: Sat, 28 Jan 2012 18:04:42 +0000
reassign 657772 libbsd-dev
found 657772 0.3.0-1
retitle 657772 libbsd-dev: please provide a working <nlist.h>
thanks

El 28 de gener de 2012 17:39, Sebastian Harl <tokkee@debian.org> ha escrit:
> Hrm, this sounds like a problem in libkvm to me and should be fixed
> there. The only thing I could do in collectd is disable the use of
> libkvm (and, thus, probably remove support for a few plugins).

I agree that libkvm users shouldn't have to bother about this problem.
 However we don't need to add a workaround in libkvm-dev since this is
very easy to fix in libbsd-dev (simply by installing <nlist.h> in its
standard location).

-- 
Robert Millan




Bug reassigned from package 'libkvm-dev' to 'libbsd-dev'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 28 Jan 2012 18:09:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions freebsd-libs/8.2+ds2-2. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 28 Jan 2012 18:09:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libbsd/0.3.0-1. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 28 Jan 2012 18:09:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'libbsd-dev: please provide a working <nlist.h>' from 'libkvm-dev: kvm.h should include bsd/nlist.h rather than nlist.h' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 28 Jan 2012 18:09:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>:
Bug#657772; Package libbsd-dev. (Sat, 25 Feb 2012 20:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>. (Sat, 25 Feb 2012 20:27:09 GMT) Full text and rfc822 format available.

Message #36 received at 657772@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: Sebastian Harl <tokkee@debian.org>, Christoph Egger <christoph@debian.org>, 657772@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#657772: collectd: FTBFS(kfreebsd): deprecated libbsd-dev usage and Werror
Date: Sat, 25 Feb 2012 21:24:41 +0100
clone 657772 -1
reassign -1 libkvm-dev
retitle -1 libkvm-dev: Should use <bsd/nlist.h>
retitle 657772 libbsd-dev: Should not provide <nlist.h>
severity 657772 important
thanks

On Sat, 2012-01-28 at 18:04:42 +0000, Robert Millan wrote:
> reassign 657772 libbsd-dev
> found 657772 0.3.0-1
> retitle 657772 libbsd-dev: please provide a working <nlist.h>
> thanks
> 
> El 28 de gener de 2012 17:39, Sebastian Harl <tokkee@debian.org> ha escrit:
> > Hrm, this sounds like a problem in libkvm to me and should be fixed
> > there. The only thing I could do in collectd is disable the use of
> > libkvm (and, thus, probably remove support for a few plugins).
> 
> I agree that libkvm users shouldn't have to bother about this problem.

Yes.

> However we don't need to add a workaround in libkvm-dev since this is
> very easy to fix in libbsd-dev (simply by installing <nlist.h> in its
> standard location).

The problem is that nlist.h is provided too by libelf*-dev, so libbsd-dev
has had to Replace those, which is actually wrong, as then the file will
disappear in the following sequence:

  apt-get install libbsd-dev libelf-dev
  apt-get remove libbsd-dev

After this, packages Build-Depending on libelf-dev will no longer be
able to find nlist.h. For the next libbsd upstream release I've actually
moved all those headers under /usr/include/bsd/, so this will have to
be fixed anyway.

libkvm-dev could instead Build-Depend on libelf-dev/libelfg0-dev, but
given that it's linking against libbsd anyway, it seems like a
gratuituous build and runtime dependency.

thanks,
guillem




Bug 657772 cloned as bug 661274. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 25 Feb 2012 20:27:09 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libbsd-dev' to 'libkvm-dev'. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 25 Feb 2012 20:27:12 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions libbsd/0.3.0-1. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 25 Feb 2012 20:27:13 GMT) Full text and rfc822 format available.

Changed Bug title to 'libkvm-dev: Should use <bsd/nlist.h>' from 'libbsd-dev: please provide a working <nlist.h>' Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 25 Feb 2012 20:27:13 GMT) Full text and rfc822 format available.

Bug Marked as found in versions freebsd-libs/8.2+ds2-2. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 26 Feb 2012 11:03:06 GMT) Full text and rfc822 format available.

Marked as fixed in versions freebsd-libs/9.0+ds1-2. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 20 Mar 2012 15:27:03 GMT) Full text and rfc822 format available.

Reply sent to Andreas Beckmann <debian@abeckmann.de>:
You have taken responsibility. (Tue, 20 Mar 2012 15:27:09 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Tue, 20 Mar 2012 15:27:10 GMT) Full text and rfc822 format available.

Message #53 received at 661274-done@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 661274-done@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Fwd: Bug#657772: fixed in freebsd-libs 9.0+ds1-2
Date: Tue, 20 Mar 2012 16:22:27 +0100
[Message part 1 (text/plain, inline)]
fixed 661274 9.0+ds1-2
notfixed 657772 freebsd-libs/9.0+ds1-2
found 657772 0.3.0-2
reopen 657772
thanks

I think the wrong clone of this bug was closed by freebsd-libs/9.0+ds1-2, 
therefore I'm toggling the fixed state of these two bugs.

Andreas
[forwarded message (message/rfc822, inline)]
From: Robert Millan <rmh@debian.org>
To: 657772-close@bugs.debian.org
Subject: Bug#657772: fixed in freebsd-libs 9.0+ds1-2
Date: Mon, 19 Mar 2012 21:48:15 +0000
Source: freebsd-libs
Source-Version: 9.0+ds1-2

We believe that the bug you reported is fixed in the latest version of
freebsd-libs, which is due to be installed in the Debian FTP archive:

freebsd-libs_9.0+ds1-2.debian.tar.gz
  to main/f/freebsd-libs/freebsd-libs_9.0+ds1-2.debian.tar.gz
freebsd-libs_9.0+ds1-2.dsc
  to main/f/freebsd-libs/freebsd-libs_9.0+ds1-2.dsc
libalias-dev_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libalias-dev_9.0+ds1-2_kfreebsd-amd64.deb
libalias7_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libalias7_9.0+ds1-2_kfreebsd-amd64.deb
libcam-dev_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libcam-dev_9.0+ds1-2_kfreebsd-amd64.deb
libcam6_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libcam6_9.0+ds1-2_kfreebsd-amd64.deb
libdevstat-dev_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libdevstat-dev_9.0+ds1-2_kfreebsd-amd64.deb
libdevstat7_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libdevstat7_9.0+ds1-2_kfreebsd-amd64.deb
libgeom-dev_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libgeom-dev_9.0+ds1-2_kfreebsd-amd64.deb
libgeom1-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
  to main/f/freebsd-libs/libgeom1-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
libgeom1_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libgeom1_9.0+ds1-2_kfreebsd-amd64.deb
libipx-dev_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libipx-dev_9.0+ds1-2_kfreebsd-amd64.deb
libipx2-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
  to main/f/freebsd-libs/libipx2-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
libipx2_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libipx2_9.0+ds1-2_kfreebsd-amd64.deb
libjail-dev_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libjail-dev_9.0+ds1-2_kfreebsd-amd64.deb
libjail1_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libjail1_9.0+ds1-2_kfreebsd-amd64.deb
libkiconv-dev_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libkiconv-dev_9.0+ds1-2_kfreebsd-amd64.deb
libkiconv4_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libkiconv4_9.0+ds1-2_kfreebsd-amd64.deb
libkvm-dev_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libkvm-dev_9.0+ds1-2_kfreebsd-amd64.deb
libkvm0_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libkvm0_9.0+ds1-2_kfreebsd-amd64.deb
libmemstat-dev_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libmemstat-dev_9.0+ds1-2_kfreebsd-amd64.deb
libmemstat3_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libmemstat3_9.0+ds1-2_kfreebsd-amd64.deb
libnetgraph-dev_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libnetgraph-dev_9.0+ds1-2_kfreebsd-amd64.deb
libnetgraph4_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libnetgraph4_9.0+ds1-2_kfreebsd-amd64.deb
libsbuf-dev_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libsbuf-dev_9.0+ds1-2_kfreebsd-amd64.deb
libsbuf6-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
  to main/f/freebsd-libs/libsbuf6-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
libsbuf6_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libsbuf6_9.0+ds1-2_kfreebsd-amd64.deb
libusb2-dev_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libusb2-dev_9.0+ds1-2_kfreebsd-amd64.deb
libusb2debian-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
  to main/f/freebsd-libs/libusb2debian-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
libusb2debian_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libusb2debian_9.0+ds1-2_kfreebsd-amd64.deb
libusbhid-common_9.0+ds1-2_all.deb
  to main/f/freebsd-libs/libusbhid-common_9.0+ds1-2_all.deb
libusbhid-dev_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libusbhid-dev_9.0+ds1-2_kfreebsd-amd64.deb
libusbhid4debian_9.0+ds1-2_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libusbhid4debian_9.0+ds1-2_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 657772@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-libs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 19 Mar 2012 22:31:50 +0100
Source: freebsd-libs
Binary: libsbuf6 libsbuf6-udeb libsbuf-dev libcam6 libcam-dev libgeom1 libgeom-dev libgeom1-udeb libusbhid4debian libusbhid-common libusbhid-dev libusb2debian libusb2-dev libusb2debian-udeb libkvm0 libkvm-dev libdevstat7 libdevstat-dev libmemstat3 libmemstat-dev libnetgraph4 libnetgraph-dev libipx2 libipx-dev libipx2-udeb libkiconv4 libkiconv-dev libjail1 libjail-dev libalias7 libalias-dev
Architecture: source kfreebsd-amd64 all
Version: 9.0+ds1-2
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 libalias-dev - Development files for libalias
 libalias7  - FreeBSD packet aliasing library
 libcam-dev - Development files for libcam
 libcam6    - FreeBSD CAM (Common Access Method) library
 libdevstat-dev - Development files for libdevstat
 libdevstat7 - FreeBSD devstat (kernel interface) library
 libgeom-dev - Development files for libgeom
 libgeom1   - FreeBSD GEOM library
 libgeom1-udeb - FreeBSD GEOM library (udeb) (udeb)
 libipx-dev - Development files for libipx
 libipx2    - FreeBSD IPX address conversion support library
 libipx2-udeb - FreeBSD IPX address conversion support library (udeb) (udeb)
 libjail-dev - Development files for libjail
 libjail1   - FreeBSD jail library
 libkiconv-dev - Development files for libkiconv
 libkiconv4 - FreeBSD kernel side iconv library (udeb)
 libkvm-dev - Development files for libkvm
 libkvm0    - FreeBSD kvm (kernel memory interface) library
 libmemstat-dev - Development files for libmemstat
 libmemstat3 - FreeBSD memstat (kernel interface) library
 libnetgraph-dev - Development files for libnetgraph
 libnetgraph4 - FreeBSD netgraph (kernel interface) library
 libsbuf-dev - Development files for libsbuf
 libsbuf6   - FreeBSD string buffer library
 libsbuf6-udeb - FreeBSD string buffer library (udeb) (udeb)
 libusb2-dev - Development files for libusb2
 libusb2debian - FreeBSD userspace USB programming library
 libusb2debian-udeb - Development files for libusb2 (udeb) (udeb)
 libusbhid-common - Common files for the USB HID devices FreeBSD library
 libusbhid-dev - Development files for libusbhid
 libusbhid4debian - FreeBSD library to access USB HID devices
Closes: 657772
Changes: 
 freebsd-libs (9.0+ds1-2) unstable; urgency=low
 .
   * kvm.h: Use <bsd/nlist.h> rather than <nlist.h>. (Closes: #657772)
   * Remove redundant definitions of bsfq() and bsfl().
   * cdefs_macros.diff: Also fix __va_list in <sys/sbuf.h>.
Checksums-Sha1: 
 7b5bca432765b7aa20f492d974b0324b385be048 3043 freebsd-libs_9.0+ds1-2.dsc
 7b446602b899c71bc9c780cd5065ec1f50ffdf5a 25803 freebsd-libs_9.0+ds1-2.debian.tar.gz
 cefd09dfc4f4b82b01f46ec54088039767ed4070 14044 libsbuf6_9.0+ds1-2_kfreebsd-amd64.deb
 6dc6a97453727c3cef1ebf2b4ff64d5e2ee903ab 4890 libsbuf6-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
 7c5d6bdc0f69ced9434e6f4fcef08f55e58b6327 13570 libsbuf-dev_9.0+ds1-2_kfreebsd-amd64.deb
 9a40988d1f0e0c2229f7999ac5504d920c02c162 61234 libcam6_9.0+ds1-2_kfreebsd-amd64.deb
 3fbc7d6e55184963fe271885f83372e30e532385 78282 libcam-dev_9.0+ds1-2_kfreebsd-amd64.deb
 0bacb0656555058b6e401277ff487df9f203191d 19956 libgeom1_9.0+ds1-2_kfreebsd-amd64.deb
 96de5f129c9d5edb2358c7c923bbc8c7258d3cec 24380 libgeom-dev_9.0+ds1-2_kfreebsd-amd64.deb
 a91aed784c0c2421e0cd7e090533009a32031797 10600 libgeom1-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
 cab00235b702c8f9da919753bdde3dd5abd56234 16894 libusbhid4debian_9.0+ds1-2_kfreebsd-amd64.deb
 fa9ba3f9d9f48dd479489400532f0747f8fdf86e 20426 libusbhid-dev_9.0+ds1-2_kfreebsd-amd64.deb
 b44130236b49d47c00b2b6f870fa7da6cd4b2866 42632 libusb2debian_9.0+ds1-2_kfreebsd-amd64.deb
 0e108b72345fc754d98932f159201265a588c87c 68858 libusb2-dev_9.0+ds1-2_kfreebsd-amd64.deb
 26da115f3f5c92208c6a8fc8dc6744c8f56f911b 32168 libusb2debian-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
 6ade2a155383cc203d481c60daff9a8a2242e1dd 26454 libkvm0_9.0+ds1-2_kfreebsd-amd64.deb
 05b4d748bb13c91ef6926d44693c8a9541ef7eed 50276 libkvm-dev_9.0+ds1-2_kfreebsd-amd64.deb
 75789e64a52e10994d98cb3ef41b149b3c0c4c3f 19658 libdevstat7_9.0+ds1-2_kfreebsd-amd64.deb
 8db903e4f962fbc6671163b0f97cdaddec53df3f 26360 libdevstat-dev_9.0+ds1-2_kfreebsd-amd64.deb
 44ba5026d70a282fc32a412ad15fcf920743f9db 17560 libmemstat3_9.0+ds1-2_kfreebsd-amd64.deb
 3b466406fd0afc58047d5c6689e027fadc19c2ce 24270 libmemstat-dev_9.0+ds1-2_kfreebsd-amd64.deb
 ef26b1c33918828eb221996b7d964ac4e14737d2 18002 libnetgraph4_9.0+ds1-2_kfreebsd-amd64.deb
 a8c0f87a6c736424161aea4d603d03acec9ce704 22696 libnetgraph-dev_9.0+ds1-2_kfreebsd-amd64.deb
 d4d39673614fd769189b84fa0eb7234ed9ad302f 13088 libipx2_9.0+ds1-2_kfreebsd-amd64.deb
 b0eb6fad1b797fe3b525367ec8b36af2f5d35d99 14864 libipx-dev_9.0+ds1-2_kfreebsd-amd64.deb
 df2e8001bb4ac5b816a29abd2738da2e08adb715 3978 libipx2-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
 162c61024c0081df351e73b2d0e74a0be739827e 15614 libkiconv4_9.0+ds1-2_kfreebsd-amd64.deb
 0af9e138b20e8e607b6e60219ac531153ecdad22 12816 libkiconv-dev_9.0+ds1-2_kfreebsd-amd64.deb
 079631e1e2b461a2ef6c2790a00afc6e208295a1 20018 libjail1_9.0+ds1-2_kfreebsd-amd64.deb
 8f65e94ac96ace1921c45d9055a3d9c1e26989c3 23496 libjail-dev_9.0+ds1-2_kfreebsd-amd64.deb
 5c7ae1366343c268c2a7ea89d111692eacae37ff 31806 libalias7_9.0+ds1-2_kfreebsd-amd64.deb
 8e3e0721bb590bc85b022a347488afa3c5e6aa0f 49224 libalias-dev_9.0+ds1-2_kfreebsd-amd64.deb
 bb03bd80b64159106367261c2430917b0cf39ca2 23652 libusbhid-common_9.0+ds1-2_all.deb
Checksums-Sha256: 
 3cbf6d9f61a9ff8f13291869a83fa4d893b10d4e8d32a5fd8ce40f7038ff2634 3043 freebsd-libs_9.0+ds1-2.dsc
 82dec7d5cce7abd8a58ea677208401967a6e5ef368ca464a7d11efeb144bf92e 25803 freebsd-libs_9.0+ds1-2.debian.tar.gz
 af88126d6c547a8cdd9a84a2ff60d394db7d29638f9ea2a66a46127298f57429 14044 libsbuf6_9.0+ds1-2_kfreebsd-amd64.deb
 d4eae70126cab1d65c82db1fa14d205470b3ae78c194732b41daeb18046e9481 4890 libsbuf6-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
 7a6a2d19eb4fe5d9e1d12f5f1f00b1b40bbd599569ddaa3bb11e3696ffb1b26b 13570 libsbuf-dev_9.0+ds1-2_kfreebsd-amd64.deb
 b667557e91587dc5226bc1aebd6983537237f9742d5c4fc710e903397b0014e8 61234 libcam6_9.0+ds1-2_kfreebsd-amd64.deb
 6c461d93bbe34eaa23a836d8ebfd228f160e827e665c7025a9a2aab119ac8d6a 78282 libcam-dev_9.0+ds1-2_kfreebsd-amd64.deb
 601a1bb1dee7c36aebb5f519bd132b90982d9fcd11d0108ae7718f10f86db3c1 19956 libgeom1_9.0+ds1-2_kfreebsd-amd64.deb
 a670e126bcbf0f66d32461ed50cdf570b4b38f1d61614fcc9f26f2b0f3373ef6 24380 libgeom-dev_9.0+ds1-2_kfreebsd-amd64.deb
 e42223eddd32d1f53c6a64b0f3dac3341385db3204d1df15c139499bfd282da7 10600 libgeom1-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
 0130fcebc9ac65a1bba42a61db325109a39909ff57b125880ab96e74282795d4 16894 libusbhid4debian_9.0+ds1-2_kfreebsd-amd64.deb
 164fda7095ce415a26ea046b91a27e2c9c8f4292cd789514261d657cc95a845a 20426 libusbhid-dev_9.0+ds1-2_kfreebsd-amd64.deb
 f7782248f793254adb7cf7ed2a49728f73f6ca39b7e40de3359501b4645817f8 42632 libusb2debian_9.0+ds1-2_kfreebsd-amd64.deb
 7ef4f26429052f013e7547f2ede41c914427fa2181e1841a4f2024180a54e446 68858 libusb2-dev_9.0+ds1-2_kfreebsd-amd64.deb
 37f881aa1a40b86fb264909e2320e5083ea54d499bb1d1eef33531e0cb70c5d5 32168 libusb2debian-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
 f8e7bfd29b8d55e6159d23e120b3651531384e6323d22c28267c847392ddd040 26454 libkvm0_9.0+ds1-2_kfreebsd-amd64.deb
 b764042f2351d4cb68270f7f344b19b9dda2d83357b97a6341bb0a9cbed883f9 50276 libkvm-dev_9.0+ds1-2_kfreebsd-amd64.deb
 72c8c51cb66f4030b79da972591418649b4fe3dca2e36c5280f9f1a227f5c864 19658 libdevstat7_9.0+ds1-2_kfreebsd-amd64.deb
 a341747adb73a947777eb9f2ec97cdbbd3f0329a6ff46a182a1c97ca0e59c03c 26360 libdevstat-dev_9.0+ds1-2_kfreebsd-amd64.deb
 7da76dfb19632ba14a93a25f7449d548fa9ce29ec07cd40530a90b0511ba7597 17560 libmemstat3_9.0+ds1-2_kfreebsd-amd64.deb
 578dbed580d837b6af0fe883ffaaa0eafe728de6d2968da594fa96e45fdcba8c 24270 libmemstat-dev_9.0+ds1-2_kfreebsd-amd64.deb
 e32b9d9cf1564ee57c43960bc2c662b44ecbe2310603f56196c6b8eb3847b815 18002 libnetgraph4_9.0+ds1-2_kfreebsd-amd64.deb
 ca131bd2b054a2f40cdcb5e41270a69e0cc2d95abbf6386425a4934f7a1232a2 22696 libnetgraph-dev_9.0+ds1-2_kfreebsd-amd64.deb
 f03293c6c5d9b544e0df346326d39e8c75b84557f3f70b8ad03462b73473a8dd 13088 libipx2_9.0+ds1-2_kfreebsd-amd64.deb
 861e2fb624b001e113e29029f44485c41ee4de3ea4f6a62b5223bf9ccef27454 14864 libipx-dev_9.0+ds1-2_kfreebsd-amd64.deb
 049dc0b7179285b2a805831bf148502bef7db775b5cbd57a76a3f48a45e04cb3 3978 libipx2-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
 4e44b4e8574be2babd4710f5c56d889d36d41778f5a741d3557f3e10151d5a05 15614 libkiconv4_9.0+ds1-2_kfreebsd-amd64.deb
 9b6b2b5f603f17c13366537afaf06611b24a10e7a1369c5b35e8583a6cf6683d 12816 libkiconv-dev_9.0+ds1-2_kfreebsd-amd64.deb
 2230d019c05fa07c329b5836e3c71fe6559b209be8851a3d960dd3a29653454e 20018 libjail1_9.0+ds1-2_kfreebsd-amd64.deb
 13b1b328ef2d76af738230b9b6eab4846e6701c0ea2153ba29cebf850fea0502 23496 libjail-dev_9.0+ds1-2_kfreebsd-amd64.deb
 0e6933f2d4d7e5faccc6c4308db6c163696e7bdb05756047b58561963ae67d6f 31806 libalias7_9.0+ds1-2_kfreebsd-amd64.deb
 726fcb905e59e6f3574269e01efc4f31a0f45cbf1c5d5a0c9fb64929abcf681c 49224 libalias-dev_9.0+ds1-2_kfreebsd-amd64.deb
 c9ed3924cc0628fc1725694ae9ed5bcd2860f651c522ec20c2fd512b71de34e1 23652 libusbhid-common_9.0+ds1-2_all.deb
Files: 
 639727c45f0d213cb635c9be7d642ac7 3043 libs optional freebsd-libs_9.0+ds1-2.dsc
 9d806bb0942df6e693cedd82b26824d6 25803 libs optional freebsd-libs_9.0+ds1-2.debian.tar.gz
 3ffddc01bea9a66f24760bff86cb775f 14044 libs optional libsbuf6_9.0+ds1-2_kfreebsd-amd64.deb
 e0c28b7a1c345460f76fa1f4c66442f1 4890 debian-installer optional libsbuf6-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
 f1f40dedabf973c479c286e8b2f875d0 13570 libdevel optional libsbuf-dev_9.0+ds1-2_kfreebsd-amd64.deb
 b5b4e3f712b1d74103e6eb5c1c8f4205 61234 libs optional libcam6_9.0+ds1-2_kfreebsd-amd64.deb
 c0987a4b0543811fb5574ed031ad0935 78282 libdevel optional libcam-dev_9.0+ds1-2_kfreebsd-amd64.deb
 cb95d1cdc41ea6a3953edf304af52852 19956 libs optional libgeom1_9.0+ds1-2_kfreebsd-amd64.deb
 7b51ad14030a1a7a780657827019eafc 24380 libdevel optional libgeom-dev_9.0+ds1-2_kfreebsd-amd64.deb
 5c6d75a7f81cd13fd0d8aab7c5c2157f 10600 debian-installer optional libgeom1-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
 b3885bce0a3f65eb54d141c56f186888 16894 libs optional libusbhid4debian_9.0+ds1-2_kfreebsd-amd64.deb
 516781e2eee90e244449988f7f43ed4d 20426 libdevel optional libusbhid-dev_9.0+ds1-2_kfreebsd-amd64.deb
 bee80738ca107116efe9aaa848807880 42632 libs optional libusb2debian_9.0+ds1-2_kfreebsd-amd64.deb
 e3328d950df0a8231fc04630c19082b2 68858 libdevel optional libusb2-dev_9.0+ds1-2_kfreebsd-amd64.deb
 37234ac4a75f602abcca56e6152cba02 32168 debian-installer optional libusb2debian-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
 ea7e45391614d58b51813b57a4e593ec 26454 libs optional libkvm0_9.0+ds1-2_kfreebsd-amd64.deb
 d5dd45621513e8a9f876467849d18c0f 50276 libdevel optional libkvm-dev_9.0+ds1-2_kfreebsd-amd64.deb
 b4904eb100b15093e1d1cedb2e1cb244 19658 libs optional libdevstat7_9.0+ds1-2_kfreebsd-amd64.deb
 827b5f1304433a3222d00b4a483824b3 26360 libdevel optional libdevstat-dev_9.0+ds1-2_kfreebsd-amd64.deb
 bd1d5de8ab3f86ee5c4ab81e352b933b 17560 libs optional libmemstat3_9.0+ds1-2_kfreebsd-amd64.deb
 ee3dda33c5f6bc9a63774a6be1e540c5 24270 libdevel optional libmemstat-dev_9.0+ds1-2_kfreebsd-amd64.deb
 9b1901d29c10de75a4e163507af2c4c6 18002 libs optional libnetgraph4_9.0+ds1-2_kfreebsd-amd64.deb
 e949f0f1defd294c7b1c099066459c12 22696 libdevel optional libnetgraph-dev_9.0+ds1-2_kfreebsd-amd64.deb
 817f7eacc776314ffaaebd52b16df45d 13088 libs optional libipx2_9.0+ds1-2_kfreebsd-amd64.deb
 9dfea2edc02c4ca6804bedb4705b531a 14864 libdevel optional libipx-dev_9.0+ds1-2_kfreebsd-amd64.deb
 c5691ff5851ee9609c499e50861ebd8c 3978 debian-installer optional libipx2-udeb_9.0+ds1-2_kfreebsd-amd64.udeb
 7b8c6f8b8d07d5731c357e2442282ce4 15614 libs optional libkiconv4_9.0+ds1-2_kfreebsd-amd64.deb
 83dd44cbe53221b640efece0f491ec19 12816 libdevel optional libkiconv-dev_9.0+ds1-2_kfreebsd-amd64.deb
 224eb22b2eb7247c582eb93aaae3c8cc 20018 libs optional libjail1_9.0+ds1-2_kfreebsd-amd64.deb
 dda7fbf217ad046b0459f594b0f88ed3 23496 libdevel optional libjail-dev_9.0+ds1-2_kfreebsd-amd64.deb
 4a4adf17d84087b016f5ffbc13c51ab6 31806 libs optional libalias7_9.0+ds1-2_kfreebsd-amd64.deb
 1bba736162388527bf100119746990ea 49224 libdevel optional libalias-dev_9.0+ds1-2_kfreebsd-amd64.deb
 1c1fb7880ba3191194a1367c8f3d3d7e 23652 libs optional libusbhid-common_9.0+ds1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk9npogACgkQC19io6rUCv8hxQCfUobYiDQeCyo9OMh8ZanYfVOd
/QoAn2T3hQhix4hKjX30+4yrOVl40in4
=AdDr
-----END PGP SIGNATURE-----






Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 27 Apr 2012 07:41:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:13:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.